Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QFragmentation.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QFragmentation.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QFragmentation.hh,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QFragmentation.hh,v 1.3 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // -----------------------------------------------------------------------------
@@ -38,4 +38,6 @@
 //     G4QGSModels
 //     G4ExcitedStringDecay
+// -----------------------------------------------------------------------------
+// Short description: CHIPS string fragmentation class
 // -----------------------------------------------------------------------------
 //
@@ -70,6 +72,6 @@
   void Init(G4double theZ, G4double theA)
   {
-	   if(!theNucleus) theNucleus = new G4QNucleus(G4int(theZ),G4int(theA-theZ+.0001));
-	   theNucleus->InitByPDG(90000000+G4int(theZ)*1000+G4int(theA-theZ+.0001));
+    if(!theNucleus) theNucleus = new G4QNucleus(G4int(theZ),G4int(theA-theZ+.0001));
+    theNucleus->InitByPDG(90000000+G4int(theZ)*1000+G4int(theA-theZ+.0001));
   }
      
@@ -116,9 +118,9 @@
   static G4double theNucleonRadius;
   // Parameters of diffractional fragmentation
-	 static G4double widthOfPtSquare;	  // width^2 of pt for string excitation
-	 static G4double minExtraMass;	     // minimum excitation mass 
-	 static G4double minmass;	          // mean pion transverse mass; used for Xmin 
+  static G4double widthOfPtSquare;   // width^2 of pt for string excitation
+  static G4double minExtraMass;      // minimum excitation mass 
+  static G4double minmass;           // mean pion transverse mass; used for Xmin 
 
-		// Body
+  // Body
   G4QInteractionVector theInteractions;
   G4QHadronVector      theTargets; 
@@ -134,4 +136,2 @@
 
 #endif
-
-
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronBuilder.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronBuilder.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronBuilder.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QHadronBuilder.hh,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QHadronBuilder.hh,v 1.3 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // -----------------------------------------------------------------------------
@@ -36,4 +36,10 @@
 //     For comparison mirror member functions are taken from G4 class:
 //     G4HadronBuilder
+// -----------------------------------------------------------------------------
+// Short description: A CHIPS class for the builder of the G4QHadron, which is a
+// resulting object for the string fragmentation. the G4QHadron has specific
+// parameters, which are not included in the G4QParticle from the CHIPS World,
+// but necessary for the string fragmentation. When the G4QHadron is created
+// (builded), it is converted to the CHIPS particle.
 // -----------------------------------------------------------------------------
 //
@@ -58,5 +64,5 @@
   G4QHadron* Meson(G4QParton* black, G4QParton* white, Spin spin);
   G4QHadron* Baryon(G4QParton* black,G4QParton* white, Spin spin);
-		// Body
+  // Body
   G4double mesonSpinMix;
   G4double baryonSpinMix;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QHadronVector.hh,v 1.22 2006/11/16 11:36:09 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QHadronVector.hh,v 1.23 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -32,10 +32,16 @@
 // Type defenition for a Vector of Hadrons - output of CHIPS model
 // ---------------------------------------------------------------
+// Short description: In CHIPS all particles are G4QHadrons, while they
+// can be leptons, gammas or nuclei. The G4QPDGCode makes the difference.
+// In addition the 4-momentum is a basic value, so the mass can be
+// different from the GS mass (e.g. for the virtual gamma). This class
+// is made for the output list of hadrons.
+// -------------------------------------------------------------------
 
 #ifndef G4QHadronVector_h
 #define G4QHadronVector_h 1
 //
-// $Id: G4QHadronVector.hh,v 1.22 2006/11/16 11:36:09 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QHadronVector.hh,v 1.23 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QInteraction.hh,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QInteraction.hh,v 1.3 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 
@@ -41,4 +41,7 @@
 //   G4InteractionContent
 // -------------------------------------------------------------------
+//  Short description: Classify the interaction in soft/hard/diffractive
+//  parts for firther treatment by the QGS algorithm.
+// ---------------------------------------------------------------------
 
 #include "globals.hh"
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QInteractionVector.hh,v 1.1 2006/10/30 10:40:34 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QInteractionVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -37,6 +37,6 @@
 
 //
-// $Id: G4QInteractionVector.hh,v 1.1 2006/10/30 10:40:34 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QInteractionVector.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // ------------------------------------------------------------------
@@ -47,4 +47,7 @@
 //   class for a storing colliding particles in PartonString Models
 // -------------------------------------------------------------------
+//  Short description: Classify the interaction in soft/hard/diffractive
+//  parts for firther treatment by the QGS algorithm.
+// ---------------------------------------------------------------------
 
 #include "G4QInteraction.hh"
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QIsotope.hh,v 1.5 2006/06/29 20:06:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QIsotope.hh,v 1.6 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -33,8 +33,8 @@
 //  Header of the G4QIsotope class of the CHIPS Simulation Branch in GEANT4
 // ----------------------------------------------------------------------------
-//  It contains information about natural abundances of stable and long living 
-//  isotopes and a NEW "Element" can be initialised for any isotope set.
-//  Randomization of isotopes of the Natural Elements is hardwired and fast
-//  Randomization of isotopes of the user defined Elements is a bit slower
+//  Short descriptionIt contains information about natural abundances of stable
+//  and long living isotopes and a NEW "Element" can be initialised for any
+//  isotope set. Randomization of isotopes of the Natural Elements is hardwired and
+//  fast randomization of isotopes of the user defined Elements is a bit slower
 //  CrossSectionWeighted randomisation of isotopes is slow (same for Nat and New)
 // -------------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh	(revision 1055)
@@ -25,11 +25,14 @@
 //
 //
-// $Id: G4QNucleus.hh,v 1.33 2007/10/31 13:23:07 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QNucleus.hh,v 1.34 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QNucleus ----------------
 //             by Mikhail Kossov, Sept 1999.
-//  class header for Quasmon initiated Candidates used by the CHIPS Model
-// ----------------------------------------------------------------------
+//  class header for the nuclei and nuclear environment of the CHIPS Model
+// -----------------------------------------------------------------------
+//  Short description: a class describing properties of nuclei, which
+//  are necessary for the CHIPS Model.
+// -----------------------------------------------------------------------
 
 #ifndef G4QNucleus_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QPDGCode.hh,v 1.26 2006/06/29 20:06:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QPDGCode.hh,v 1.27 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QPDGCode ----------------
@@ -32,4 +32,11 @@
 //  class header for Hadron definition in CHIPS Model
 // ------------------------------------------------------------
+// Short description: The PDG Code is made on the basis of the Quark
+// Content (G4QuarkContent) of the hadronic state (including nuclear
+// fragments). The PDG code of the ground state (e.g. pi, N, etc.) is
+// calculated. It includes a complicated algortithm of the G.S. mass
+// calculation for nuclear fragments (now it is synchronised with the
+// G4 nuclear massess).
+// -------------------------------------------------------------------
 
 #ifndef G4QPDGCode_h
@@ -265,5 +272,2 @@
 
 #endif
-
-
-
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QPDGCodeVector.hh,v 1.19 2006/06/29 20:06:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QPDGCodeVector.hh,v 1.20 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -32,4 +32,11 @@
 // Type defenition for Hadron definition in CHIPS model
 // ---------------------------------------------------------------
+// Short description: The PDG Code is made on the basis of the Quark
+// Content (G4QuarkContent) of the hadronic state (including nuclear
+// fragments). The PDG code of the ground state (e.g. pi, N, etc.) is
+// calculated. It includes a complicated algortithm of the G.S. mass
+// calculation for nuclear fragments (now it is synchronised with the
+// G4 nuclear massess).
+// -------------------------------------------------------------------
 
 #ifndef G4QPDGCodeVector_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGToG4Particle.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGToG4Particle.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGToG4Particle.hh	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QPDGToG4Particle.hh,v 1.4 2006/06/29 20:06:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QPDGToG4Particle.hh,v 1.5 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QPDGToG4Particle header ----------------
@@ -35,4 +35,7 @@
 // ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
 // ****************************************************************************************
+// Short description: This is a helper class, which converts the PDG-defined
+// G4QHadrons of the CHIPS model to the G4 particles, defined by the singetones.
+// -----------------------------------------------------------------------------
 
 #ifndef G4QPDGToG4Particle_hh
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh	(revision 1055)
@@ -25,11 +25,17 @@
 //
 //
-// $Id: G4QParentCluster.hh,v 1.23 2006/06/29 20:06:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QParentCluster.hh,v 1.24 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QParentCluster ----------------
 //             by Mikhail Kossov, Sept 1999.
 //  class header for a Parent nuclear cluster in the CHIPS Model
-// -------------------------------------------------------------
+// -------------------------------------------------------------------
+// Short description: The parent cluster is the cluster, which can be
+// used for the nuclear fragment production. Different clusters csn be
+// used as the parent cluser for the particular G4QCandidate (nuclear
+// fragment), e.g. t and He3 for the t-fragment production. So the
+// G4QParentClusterVector is needed.
+// -------------------------------------------------------------------
 
 #ifndef G4QParentCluster_h
@@ -57,26 +63,26 @@
 
   // Selectors
-  G4int      GetPDGCode()      const;   // Get PDG code of the Parent Cluster
-  G4double   GetProbability()  const;   // Get a probability of hadronization on it
-  G4int      GetNQPart2()      const;   // Get n-2 for the fragment
-  G4QContent GetTransQC()      const;   // Get QuarkCont of a Pseudo Exchange Meson
-  G4double   GetLow()          const;   // Get a low limit for randomization
-  G4double   GetHigh()         const;   // Get a high limit for randomization
-  G4double   GetEBMass()       const;   // Get a Nuclear Bounded mass of the parent cluster
-  G4double   GetEBind()        const;   // Get Environment Binding energy for the parent cluster
-  G4double   GetNBMass()       const;   // Get an Environmental bounded mass of the parent cluster
-  G4double   GetNBind()        const;   // Get Total Nucleus Binding energy for the parent cluster
+  G4int      GetPDGCode()     const; // Get PDG code of the Parent Cluster
+  G4double   GetProbability() const; // Get a probability of hadronization on it
+  G4int      GetNQPart2()     const; // Get n-2 for the fragment
+  G4QContent GetTransQC()     const; // Get QuarkCont of a Pseudo Exchange Meson
+  G4double   GetLow()         const; // Get a low limit for randomization
+  G4double   GetHigh()        const; // Get a high limit for randomization
+  G4double   GetEBMass()      const; // Get a Nuclear Bounded mass of the parent cluster
+  G4double   GetEBind()       const; // Get Environment BindingEnergy for the parentCluster
+  G4double   GetNBMass()      const; // Get Environmental BoundedMass of the parent Cluster
+  G4double   GetNBind()       const; // Get TotalNucleusBindingEnergy for the parentCluster
 
   // Modifiers
-  void  SetPDGCode(G4int newPDGCode);                // Set PDG code of the Parent Cluster
-  void  SetProbability(G4double probab);             // Set probab. to hadronize on this cluster
-  void  SetNQPart2(G4int nm2);                       // Get n-2 for the fragment
-  void  SetTransQC(G4QContent newTrans);             // Set QuarkCont of a Pseudo Exchange Meson
-  void  SetLow(G4double loLim);                      // Set a low limit for hadronization
-  void  SetHigh(G4double hiLim);                     // Set a high limit for hadronization
-  void  SetEBMass(G4double bMass);                   // Set a bounded mass of the parent cluster in E
-  void  SetEBind(G4double bEn);                      // Set binding energy of the parent cluster in E
-  void  SetNBMass(G4double bMass);                   // Set a bounded mass of the parent cluster in N
-  void  SetNBind(G4double bEn);                      // Set binding energy of the parent cluster in N
+  void  SetPDGCode(G4int newPDGCode);    // Set PDG code of the Parent Cluster
+  void  SetProbability(G4double probab); // Set probab. to hadronize on this cluster
+  void  SetNQPart2(G4int nm2);           // Get n-2 for the fragment
+  void  SetTransQC(G4QContent newTrans); // Set QuarkCont of a Pseudo Exchange Meson
+  void  SetLow(G4double loLim);          // Set a low limit for hadronization
+  void  SetHigh(G4double hiLim);         // Set a high limit for hadronization
+  void  SetEBMass(G4double bMass);       // Set a bounded mass of the parent cluster in E
+  void  SetEBind(G4double bEn);          // Set binding energy of the parent cluster in E
+  void  SetNBMass(G4double bMass);       // Set a bounded mass of the parent cluster in N
+  void  SetNBind(G4double bEn);          // Set binding energy of the parent cluster in N
 
   // General
@@ -91,5 +97,5 @@
   // Secondary
   G4int               nQPart2;
-  G4QContent          transQC;                         // Quark Content of pseudo exchange meson
+  G4QContent          transQC;           // Quark Content of the pseudo exchange meson
   G4double            lowLimit;
   G4double            highLimit;
@@ -104,6 +110,8 @@
 std::ostream&   operator<<(std::ostream& lhs, const G4QParentCluster& rhs);
 
-inline G4bool G4QParentCluster::operator==(const G4QParentCluster& rhs) const {return this==&rhs;}
-inline G4bool G4QParentCluster::operator!=(const G4QParentCluster& rhs) const {return this!=&rhs;}
+inline G4bool G4QParentCluster::operator==(const G4QParentCluster& rhs) const
+                                                                       {return this==&rhs;}
+inline G4bool G4QParentCluster::operator!=(const G4QParentCluster& rhs) const
+                                                                       {return this!=&rhs;}
  
 inline G4int      G4QParentCluster::GetPDGCode()     const {return thePDGCode;}
@@ -118,12 +126,12 @@
 inline G4double   G4QParentCluster::GetNBind()       const {return theNucBindingEnergy;}
 
-inline void  G4QParentCluster::SetPDGCode(G4int newPDGCode)    {thePDGCode      = newPDGCode;}
-inline void  G4QParentCluster::SetProbability(G4double prob)   {theProbability  = prob;}
-inline void  G4QParentCluster::SetNQPart2(G4int nm2)           {nQPart2         = nm2;}
-inline void  G4QParentCluster::SetTransQC(G4QContent newTrans) {transQC=newTrans;}
-inline void  G4QParentCluster::SetHigh(G4double hiLim)         {highLimit       = hiLim;}
-inline void  G4QParentCluster::SetLow(G4double loLim)          {lowLimit        = loLim;}
-inline void  G4QParentCluster::SetEBMass(G4double bMass)       {theEnvBoundedMass  = bMass;}
-inline void  G4QParentCluster::SetNBMass(G4double bMass)       {theNucBoundedMass  = bMass;}
+inline void  G4QParentCluster::SetPDGCode(G4int newPDGCode)    {thePDGCode   = newPDGCode;}
+inline void  G4QParentCluster::SetProbability(G4double prob)   {theProbability = prob;}
+inline void  G4QParentCluster::SetNQPart2(G4int nm2)           {nQPart2        = nm2;}
+inline void  G4QParentCluster::SetTransQC(G4QContent newTrans) {transQC        = newTrans;}
+inline void  G4QParentCluster::SetHigh(G4double hiLim)         {highLimit      = hiLim;}
+inline void  G4QParentCluster::SetLow(G4double loLim)          {lowLimit       = loLim;}
+inline void  G4QParentCluster::SetEBMass(G4double bMass)       {theEnvBoundedMass = bMass;}
+inline void  G4QParentCluster::SetNBMass(G4double bMass)       {theNucBoundedMass = bMass;}
 inline void  G4QParentCluster::SetEBind(G4double bEn)          {theEnvBindingEnergy= bEn;}
 inline void  G4QParentCluster::SetNBind(G4double bEn)          {theNucBindingEnergy= bEn;}
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QParentClusterVector.hh,v 1.18 2006/06/29 20:06:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QParentClusterVector.hh,v 1.19 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -32,4 +32,10 @@
 // Type defenition of Parent nuclear cluster Vector in CHIPS model
 // ---------------------------------------------------------------
+// Short description: The parent cluster is the cluster, which can be
+// used for the nuclear fragment production. Different clusters csn be
+// used as the parent cluser for the particular G4QCandidate (nuclear
+// fragment), e.g. t and He3 for the t-fragment production. So the
+// G4QParentClusterVector is needed.
+// -------------------------------------------------------------------
 
 #ifndef G4QParentClusterVector_h
@@ -43,4 +49,2 @@
 
 #endif
-
-
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QParticle.hh,v 1.24 2006/06/29 20:06:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QParticle.hh,v 1.25 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QParticle ----------------
@@ -32,4 +32,8 @@
 //  class header for Particles in the CHIPS Model
 // ---------------------------------------------------
+// Short description: The G4QParticle is a part of the CHIPS World. It is
+// characterized by the quark content, spin, mass, width and a vector of
+// the decay channels (G4QDecayCannelVector).
+// -----------------------------------------------------------------------
 
 #ifndef G4QParticle_h
@@ -117,8 +121,8 @@
     min=aDecay[0]->GetMinMass();
     if(nCh>1) for(G4int j=1; j<nCh; j++)
-	{
+    {
       G4double next=aDecay[j]->GetMinMass();
       if(next<min) min=next;
-	}
+    }
   }
   G4double w=GetWidth();
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QParticleVector.hh,v 1.19 2006/06/29 20:06:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QParticleVector.hh,v 1.20 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -32,4 +32,8 @@
 // Type defenition for Decay Channel Vector in CHIPS model
 // ---------------------------------------------------------------
+// Short description: The G4QParticle is a part of the CHIPS World. It is
+// characterized by the quark content, spin, mass, width and a vector of
+// the decay channels (G4QDecayCannelVector).
+// -----------------------------------------------------------------------
 
 #ifndef G4QParticleVector_h
@@ -61,5 +65,5 @@
   {
     std::for_each(begin(),end(),DeleteQParticle());
-	clear();
+    clear();
   }
 };
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh	(revision 1055)
@@ -28,6 +28,6 @@
 #define G4QParton_h 1
 
-// $Id: G4QParton.hh,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QParton.hh,v 1.3 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // ------------------------------------------------------------
@@ -40,4 +40,7 @@
 //   G4Parton
 // -----------------------------------------------------------------
+// Short description: The Quark-Gluon String consists of the partons, which
+// are quarks and some times gluons.
+// ------------------------------------------------------------------------
 
 #include "globals.hh"
@@ -57,6 +60,6 @@
     // Random Flavor/Colour/Spin definition for default constructor (with .3 s-suppresion)
     PDGencoding=(G4int)(2.3*G4UniformRand())+1; //@@ What about antiquarks? (M.K.)
-   	theDefinition=G4ParticleTable::GetParticleTable()->FindParticle(PDGencoding);
-   	// random colour (1,2,3)=(R,G,B) for quarks and (-1,-2,-3)=(aR,aG,aB) for anti-quarks
+    theDefinition=G4ParticleTable::GetParticleTable()->FindParticle(PDGencoding);
+    // random colour (1,2,3)=(R,G,B) for quarks and (-1,-2,-3)=(aR,aG,aB) for anti-quarks
     theColour = (G4int)(3*G4UniformRand())+1;
     if(theColour>3) theColour = 3;
@@ -64,5 +67,5 @@
     theSpinZ = (G4int)(2*G4UniformRand()) - 0.5;
   }
-		G4QParton(G4int PDGencoding);                            // Collor/Spin are still random
+  G4QParton(G4int PDGencoding);                            // Collor/Spin are still random
   G4QParton(const G4QParton &right);
   G4QParton(const G4QParton* right);
@@ -73,6 +76,6 @@
   // Operators
   const G4QParton& operator=(const G4QParton &right);
-  G4int operator==(const G4QParton &right) const      {return this==&right;}	
-  G4int operator!=(const G4QParton &right) const      {return this!=&right;}	
+  G4int operator==(const G4QParton &right) const      {return this==&right;} 
+  G4int operator!=(const G4QParton &right) const      {return this!=&right;} 
 
   // Modifiers
@@ -97,5 +100,5 @@
   G4String GetParticleSubType()               {return theDefinition->GetParticleSubType();}
  private: 
-		// Body 
+  // Body 
   G4int                 PDGencoding;
   G4ParticleDefinition* theDefinition;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh	(revision 1055)
@@ -27,6 +27,6 @@
 #define G4QPartonPair_h 1
 //
-// $Id: G4QPartonPair.hh,v 1.1 2006/10/30 10:40:34 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QPartonPair.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // ------------------------------------------------------------
@@ -37,4 +37,10 @@
 // class for PartonPair (hadron) used by Parton String Models
 // ------------------------------------------------------------
+// Short description: Each Quasmon String has a pair of partons
+// (quark/diquark-partons) on its ends. During the hadronization
+// procedure the rapidity gap between partons shrinks, but the
+// parton pair still exists, while it is converted to the final
+// meson (quaek-antiquark) or baryon (quark-diquark).
+// --------------------------------------------------------------
 //
 #include "globals.hh"
@@ -53,11 +59,11 @@
   G4int operator==(const G4QPartonPair &right) const
   {
-    return (CollisionType == right.CollisionType && *Parton1 == *right.Parton1 &&
-                                                    *Parton2 == *right.Parton2) ? 1: 0;
+    return (CollisionType == right.CollisionType &&
+            *Parton1 == *right.Parton1 && *Parton2 == *right.Parton2) ? 1: 0;
   }
   G4int operator!=(const G4QPartonPair &right) const
   {
-    return (CollisionType == right.CollisionType && *Parton1 == *right.Parton1 &&
-                                                    *Parton2 == *right.Parton2) ? 0: 1;
+    return (CollisionType == right.CollisionType &&
+            *Parton1 == *right.Parton1 && *Parton2 == *right.Parton2) ? 0: 1;
   }
   // Modifiers
@@ -65,5 +71,5 @@
   void  SetCollisionType(G4int Type)             {CollisionType = Type;}
   // Selectors
-  G4int GetCollisionType()                       {return CollisionType;}
+  G4int      GetCollisionType()                  {return CollisionType;}
   G4QParton* GetParton1()                        {return Parton1;}
   G4QParton* GetParton2()                        {return Parton2;}
@@ -74,6 +80,6 @@
   G4QParton* Parton1;  
   G4QParton* Parton2;  
-  G4int     CollisionType;
-  G4int     Direction;
+  G4int      CollisionType;
+  G4int      Direction;
 };
 
